SoGLViewportRegionElement(3)

NAME
SoGLViewportRegionElement - The SoGLViewportRegionElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGLViewportRegionElement.h>

Inherits SoViewportRegionElement.

  Public Member Functions
virtual void init (SoState *state)
FIXME: write doc.
virtual void push (SoState *state)
FIXME: write doc.
virtual void pop (SoState *state, const SoElement *prevTopElement)
FIXME: write doc.
Public Member Functions inherited from SoViewportRegionElement
virtual SbBool matches (const SoElement *element) const
FIXME: write doc.
virtual SoElement * copyMatchInfo () const
FIXME: write doc.
virtual void print (FILE *file) const
FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
void setDepth (const int depth)
int getDepth (void) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Static Public Member Functions inherited from SoViewportRegionElement
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, const SbViewportRegion &viewportRegion)
FIXME: write doc.
static const SbViewportRegion & get (SoState *const state)
FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Member Functions
virtual ~SoGLViewportRegionElement ()
virtual void setElt (const SbViewportRegion &viewportRegion)
FIXME: write doc.
Protected Member Functions inherited from SoViewportRegionElement
virtual ~SoViewportRegionElement ()
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const

  Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Protected Attributes inherited from SoViewportRegionElement
SbViewportRegion viewportRegion
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoGLViewportRegionElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoGLViewportRegionElement::~SoGLViewportRegionElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLViewportRegionElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLViewportRegionElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoGLViewportRegionElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLViewportRegionElement::initClass (void ) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLViewportRegionElement::init (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoViewportRegionElement.

  void SoGLViewportRegionElement::push (SoState * state) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLViewportRegionElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]

FIXME: write doc.

Reimplemented from SoElement.

  void SoGLViewportRegionElement::setElt (const SbViewportRegion & viewportRegion) [protected], [virtual]

FIXME: write doc.

Reimplemented from SoViewportRegionElement.

Author

Generated automatically by Doxygen for Coin from the source code.